Skip to content
Start here

Get Rate Plan by Public Key

GET/billing/rate_plans/{public_key}

Gets a rate plan’s details by its public key (e.g., ‘teams_free’, ‘cf_pro_20_20’). This is a public catalog endpoint, so authentication is not enforced and credentials are accepted but not required.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Path ParametersExpand Collapse
public_key: string
ReturnsExpand Collapse
errors: array of ResponseInfo { code, message, documentation_url, source }
code: number
minimum1000
message: string
documentation_url: optional string
source: optional object { pointer }
pointer: optional string
messages: array of ResponseInfo { code, message, documentation_url, source }
code: number
minimum1000
message: string
documentation_url: optional string
source: optional object { pointer }
pointer: optional string
result: object { id, components, currency, public_name }
id: optional string

The uppercase rate plan public key.

components: optional array of map[unknown]

Pricing components that make up this rate plan.

currency: optional string

Currency of the rate plan pricing.

public_name: optional string

Human-readable description of the rate plan.

success: true

Whether the API call was successful

Get Rate Plan by Public Key

curl https://api.cloudflare.com/client/v4/billing/rate_plans/$PUBLIC_KEY \
    -H "Authorization: Bearer $CLOUDFLARE_API_TOKEN"
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "id": "TEAMS_FREE",
    "components": [
      {
        "foo": "bar"
      }
    ],
    "currency": "USD",
    "public_name": "Cloudflare Teams Free"
  },
  "success": true
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "id": "TEAMS_FREE",
    "components": [
      {
        "foo": "bar"
      }
    ],
    "currency": "USD",
    "public_name": "Cloudflare Teams Free"
  },
  "success": true
}